Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228141 (lucene-2.3.0) - Please update lucene to latest version
Summary: Please update lucene to latest version
Keywords:
Status: CLOSED NEXTRELEASE
Alias: lucene-2.3.0
Product: Fedora
Classification: Fedora
Component: lucene
Version: 6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F9Target opengrok-review
TreeView+ depends on / blocked
 
Reported: 2007-02-10 10:34 UTC by Mary Ellen Foster
Modified: 2009-01-07 18:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-20 16:35:41 UTC


Attachments (Terms of Use)
Diff between lucene-1.9.1-2jpp.5 and lucene-2.3.0-1jpp (deleted)
2008-02-19 16:44 UTC, Lubomir Kundrak
no flags Details | Diff
Diff between lucene-1.9.1-2jpp.5 and lucene-2.3.0-1jpp (deleted)
2008-02-20 12:42 UTC, Lubomir Kundrak
no flags Details | Diff

Description Mary Ellen Foster 2007-02-10 10:34:30 UTC
Description of problem:

The version of lucene in core is 1.4.3; this is very old (November 2004 release
date). 2.0.0 has been out since last May, and jpackage.org has packages of 1.9.1
that could possibly be the basis for a new version.

I don't actually directly use lucene, but it's a dependency of eclipse which I
do use. The newest eclipse depends also on lucene-devel, which *isn't* a
separate package at jpackage and which therefore broke my attempted update
today. (I know third-party repos aren't supported, but I wanted to explain why I
noticed this.)

Version-Release number of selected component (if applicable):
1.4.3-1jpp.14

Comment 1 Terje Rosten 2008-01-25 09:10:32 UTC
ping? 

lucene 2.3.0 is now available:

 http://lucene.apache.org/java/docs/

Comment 2 Andrew Overholt 2008-01-25 14:39:45 UTC
Will 2.3.0 work with Eclipse 3.3.x?

Comment 3 Lubomir Kundrak 2008-02-19 16:38:49 UTC
(In reply to comment #2)
> Will 2.3.0 work with Eclipse 3.3.x?

Even if it didn't that's definitely no excuse for not updating the package.
Compat packages can be made if necessary. (We should definitely look at Eclipse
once this is upgraded, and that's best done before we do the release -- hence
the F9Target).

Comment 4 Lubomir Kundrak 2008-02-19 16:44:57 UTC
Created attachment 295308 [details]
Diff between lucene-1.9.1-2jpp.5 and lucene-2.3.0-1jpp

This worked for me, though I did not attempt a mock build.

Comment 5 Lubomir Kundrak 2008-02-20 12:42:27 UTC
Created attachment 295416 [details]
Diff between lucene-1.9.1-2jpp.5 and lucene-2.3.0-1jpp

Less invasive changes, so I don't break the build. Should build fine in mock
this time.

Comment 6 Andrew Overholt 2008-02-20 15:27:58 UTC
Please ensure that the new lucene works with Eclipse.

Comment 7 Deepak Bhole 2008-02-20 15:37:52 UTC
Thanks for the patch Lubomir. Please note the naming convention, however. The
release in your patch is 1jpp%{?dist}. It should be 1jpp.1{?dist} at least,
assuming 1jpp from JPackage was the base (if JPackage wasn't the base, please
use 0jpp for now, until the naming scheme is reassessed). See
http://fedoraproject.org/wiki/Packaging/JPackagePolicy for more information.

I have approved your commit access to the package -- bouncing bug over to you.

Comment 8 Lubomir Kundrak 2008-02-20 16:35:41 UTC
Built [1]. Andrew: I'll trigger a scratch build of eclipse once new lucene is
populated to the build roots. Will open a separate bug if it fails.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=450087

Comment 9 Andrew Overholt 2008-02-20 16:46:08 UTC
(In reply to comment #8)
> Built [1]. Andrew: I'll trigger a scratch build of eclipse once new lucene is
> populated to the build roots. Will open a separate bug if it fails.

It's not going to build.  There's some other wacky JVM issue in rawhide that I
haven't had time to track down.  I wasn't so concerned with it building, but
more with it actually working.  We'll have to run the automated tests against
it.  I'll add that to my ever-growing TODO list.

Comment 10 Lubomir Kundrak 2008-02-20 17:21:50 UTC
Andrew: Honestly, I don't care at all. If Eclipse doesn't work it's not lucene's
fault and thus not my business. But in case it's going to break somehow
horribly, I can assist creating compat packages.

Comment 11 Andrew Overholt 2008-02-20 17:24:14 UTC
(In reply to comment #10)
> Andrew: Honestly, I don't care at all.

Then why are you doing this?  If you don't care, don't bother with this.

Comment 12 Lubomir Kundrak 2008-02-20 17:32:08 UTC
Andrew: Trust me, I have no intention to break anything needlessly. The new
lucene is required for OpenGrok, that's why is this report blocker of its review.

Comment 13 Andrew Overholt 2008-02-20 17:39:40 UTC
(In reply to comment #12)
> Andrew: Trust me, I have no intention to break anything needlessly. The new
> lucene is required for OpenGrok, that's why is this report blocker of its review.

Ah, I didn't see the blocker.  If Eclipse doesn't work with the new lucene we'll
deal with the fallout later.

As a side note:  are you aware of repoquery?  It can tell you what packages need
other packages.  It could have helped you with the tomcat issue (that was you,
right?) and this one in determining what packages will be affected by version bumps.

Cheers.

Comment 14 Lubomir Kundrak 2008-02-20 17:45:27 UTC
Yes, I used repoquery to see what is needed by lucene. What tomcat issue? It
probably wasn't me.

Comment 15 Andrew Overholt 2008-02-20 17:51:48 UTC
(In reply to comment #14)
> What tomcat issue? It probably wasn't me.

I must be thinking of someone else, then.  Carry on :)




Note You need to log in before you can comment on or make changes to this bug.